Le langage Perl menacé? Un nouveau genre de virus…

Sécurité

Une faille dans Perl et ActivePerl peut compromettre un système en le rendant vulnérable

Il n’y a pas que les systèmes d’exploitation ou les navigateurs pour être victimes de failles menaçant leur intégrité et les systèmes sur lesquels ils évoluent… les langages peuvent, eux aussi, présenter des faiblesses qui peuvent les rendent vulnérables.

Perl, le célèbre langage libre qui participe depuis plusieurs années au développement du Web dynamique, ainsi qu’ActivePerl, présentent eux aussi une faille de sécurité. Une erreur binaire dans la fonction ‘win32_stat()‘ permet en effet de saturer la mémoire du système en lui soumettant un nom de fichier particulièrement long et terminé par un caractère anti-slash “”. L’exploitation de la faille permet alors d’exécuter sur un serveur Web un code arbitraire qui rend possible l’affichage des mots de passe dans un script Perl. La faille a été corrigée avec la version Perl 5.8.4.


Lire la biographie de l´auteur  Masquer la biographie de l´auteur